package com.cloud.kicc.common.core.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 *<p>
 * API错误页面响应状态枚举
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/16
 */
@Getter
@RequiredArgsConstructor
public enum ExceptionEnum {

	UNAUTHORIZED_ACCESS(401, "禁止访问"),
	PAGE_NOT_ACCESS(403, "页面无法访问"),
	PAGE_NOT_FOUND(404, "网页未找到"),
	ERROR(500, "错误"),
	NET_WORK_ERROR(10000, "前端Js错误"),
	PAGE_NOT_DATA(10100, "无数据页面");

	/**
	 * 状态
	 */
	private final int value;

	/**
	 * 描述
	 */
	private final String description;

}
