package com.cloud.kicc.common.data.entity;

import cn.hutool.core.util.ObjectUtil;
import com.cloud.kicc.common.core.constant.SecurityConstants;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.springframework.security.core.authority.AuthorityUtils;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class KicsUser extends CasUser {
    private String userId;
    private String casUserId;
    private String userCode;
    private String loginName;
    private String openId;
    private Integer isIm;
    private Integer isLogin;
    private Date loginOutTime;
    private String imageUrl;
    private String pushId;
    private String appUserId;
    private Integer openState;
    private String unionId;
    private Integer userRole;
    private Integer relationId;
    private Integer detailRole;
    private Integer createUserId;
    private String createUserName;
    private Date createDate;
    private Integer modifyUserId;
    private String modifyUserName;
    private Date modifyDate;
    private Integer state;

    // fixme: Extended Authorization Permissions 🚀
    private String[] permissions;

    public KicsUser() {
        super(SecurityConstants.MOCK_USERNAME, SecurityConstants.MOCK_PASSWORD, AuthorityUtils.createAuthorityList());
    }

    @JsonCreator
    public KicsUser(@JsonProperty("username") String username,
                    @JsonProperty("password") String password,
                    @JsonProperty("enabled") boolean enabled,
                    @JsonProperty("accountNonExpired") boolean accountNonExpired,
                    @JsonProperty("credentialsNonExpired") boolean credentialsNonExpired,
                    @JsonProperty("accountNonLocked") boolean accountNonLocked,
                    @JsonProperty("authorities") List<SimpleGrantedAuthority> authorities) {
        super(ObjectUtil.defaultIfNull(username, SecurityConstants.MOCK_USERNAME),
                ObjectUtil.defaultIfNull(password, SecurityConstants.MOCK_PASSWORD),
                enabled,
                accountNonExpired,
                credentialsNonExpired,
                accountNonLocked,
                ObjectUtil.defaultIfNull(authorities, AuthorityUtils.createAuthorityList()));
    }

}
