package com.klab.security.common.annotation;

import com.klab.security.common.config.ResourceServerAutoConfiguration;
import com.klab.security.common.exp.KiccSecurityBeanDefinitionRegistrar;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.context.annotation.Import;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;

import java.lang.annotation.*;

/**
 *<p>
 * 扩展资源服务注解
 * 添加方法安全级别
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/24
 */
@Documented
@Inherited
@EnableResourceServer
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@EnableGlobalMethodSecurity(prePostEnabled = true)
@Import({ ResourceServerAutoConfiguration.class, KiccSecurityBeanDefinitionRegistrar.class })
public @interface EnableKiccResourceServer {

}
