package com.klab.security.common.annotation;

import java.lang.annotation.*;

/**
 *<p>
 * 服务调用不鉴权注解
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/24
 */
@Target({ ElementType.METHOD, ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Inner {

	/**
	 * 是否AOP统一处理
	 * @return false, true
	 */
	boolean value() default true;

	/**
	 * 为后续扩展做准备,需要特殊判空的字段(预留)
	 * @return {}
	 */
	String[] field() default {};

}
