package com.klab.security.common.config;

import com.cloud.kicc.common.core.constant.CacheConstants;
import com.klab.security.common.override.KiccRedisTokenStore;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.connection.RedisConnectionFactory;
import org.springframework.security.oauth2.provider.token.TokenStore;

/**
 *<p>
 * 令牌存储自动配置
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/24
 */
@Configuration
public class TokenStoreAutoConfiguration {

	@Bean
	public TokenStore tokenStore(RedisConnectionFactory redisConnectionFactory) {
		KiccRedisTokenStore tokenStore = new KiccRedisTokenStore(redisConnectionFactory);
		tokenStore.setPrefix(CacheConstants.OAUTH_ACCESS);
		return tokenStore;
	}

}
