package com.klab.security.common.constant;

/**
 *<p>
 * 安全常量
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/8/29
 */
public interface SecurityConstants {

	/**
	 * 角色前缀
	 */
	String ROLE = "ROLE_";

	/**
	 * 子系统sso角色权限查询声明
	 */
	String SSO_PERMISSION_FIND_STATEMENT = "select distinct\n" +
			"\tmenu_code \n" +
			"from\n" +
			"\tt_sys_role_menu sr\n" +
			"\tleft join t_sys_menu sm \n" +
			"\ton sr.menu_id = sm.menu_id\n" +
			"where sm.state = 1 and sr.role_id in (select role_id from t_sys_role_user where user_id = ?) and coalesce(menu_code, '') <> ''";

	String SSO_USER_FIND_STATEMENT = "select * from sso_enhanced_user_view where cas_user_id = ? and state = 1";

	String SSO_USER_FIND_STATEMENT_BY_USER_ID = "select * from sso_enhanced_user_view where user_id = ? and state = 1";

	/**
	 * 项目的license
	 */
	String PROJECT_LICENSE = "长沙康来生物有限公司";

	/**
	 * 内部接口调用密钥
	 */
	String FROM_IN = "kG8qA6qG1aP5aR3g";

	/**
	 * 内部接口调用Key标志
	 */
	String FROM = "from";

	/**
	 * 请求header
	 */
	String HEADER_FROM_IN = FROM + "=" + FROM_IN;

	/**
	 * 默认登录URL
	 */
	String OAUTH_TOKEN_URL = "/oauth/token";

	/**
	 * grant_type
	 */
	String REFRESH_TOKEN = "refresh_token";

	/**
	 * 手机号登录
	 */
	String APP = "app";

	/**
	 * {bcrypt} 加密的特征码
	 */
	String BCRYPT = "{bcrypt}";

	/**
	 * sys_oauth_client_details 表的字段，不包括client_id、client_secret
	 */
	String CLIENT_FIELDS = "client_id, CONCAT('{noop}',client_secret) as client_secret, resource_ids, scope, "
			+ "authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, "
			+ "refresh_token_validity, additional_information, autoapprove";

	/**
	 * JdbcClientDetailsService 查询语句
	 */
	String BASE_FIND_STATEMENT = "select " + CLIENT_FIELDS + " from sys_oauth_client_details";

	/**
	 * 默认的查询语句
	 */
	String DEFAULT_FIND_STATEMENT = BASE_FIND_STATEMENT + " order by client_id";

	/**
	 * 按条件client_id 查询
	 */
	String DEFAULT_SELECT_STATEMENT = BASE_FIND_STATEMENT + " where client_id = ?";

	/***
	 * 资源服务器默认bean名称
	 */
	String RESOURCE_SERVER_CONFIGURER = "resourceServerConfigurerAdapter";

	/**
	 * 用户信息
	 */
	String DETAILS_USER = "user_info";

	/**
	 * 协议字段
	 */
	String DETAILS_LICENSE = "license";

	/**
	 * 验证码有效期,默认 60秒
	 */
	long CODE_TIME = 60;

	/**
	 * 手机验证码长度
	 */
	String PHONE_CODE_SIZE = "6";

	/**
	 * 客户端模式
	 */
	String CLIENT_CREDENTIALS = "client_credentials";

	/**
	 * 客户端ID
	 */
	String CLIENT_ID = "clientId";

	/**
	 * 绑定kicc康来内部多租户
	 */
	String TENANT_ID = "1510456530575347712";

	/**
	 * 模拟测试账户
	 */
	String MOCK_USERNAME = "admin";

	/**
	 * 模拟测试密码
	 */
	String MOCK_PASSWORD = "kanglai123";

}
