package com.klab.security.common.exception;

import org.springframework.http.HttpStatus;

/**
 *<p>
 * 未配置用户数据
 *</p>
 *
 * @Author: wangxiang4
 * @Since: 2023/9/2
 */
public class UnConfiguredUserDataException extends KiccAuth2Exception {

	public UnConfiguredUserDataException(String msg) {
		super(msg);
	}

	public UnConfiguredUserDataException(String msg, Throwable t) {
		super(msg, t);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "un_configured_user_data";
	}

	@Override
	public int getHttpErrorCode() {
		return HttpStatus.NETWORK_AUTHENTICATION_REQUIRED.value();
	}

}
